#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-GQaTbYrv6QJ2F9Pgtkxd0d
key: crypto-pubkey-0.2.8-GQaTbYrv6QJ2F9Pgtkxd0d
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 53dcf15034e3b9baf0d05ea5867fd732
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-GQaTbYrv6QJ2F9Pgtkxd0d
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    byteable-0.1.1-3VfNJqauCum9lD10cS8nmH
    crypto-random-0.0.9-BSpM7y7ISpuFpciKyVdNkw
    crypto-pubkey-types-0.4.3-5xWPq7VeggTIeTMnPlZOnM
    cryptohash-0.11.9-CbyZN7BRHMT5dI4lI46n03
    crypto-numbers-0.2.7-GObK7GDpik4agUDtS8Cur
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             bytestring-0.10.8.2=db54a9a10f4b3abcd860c80f928b2ae9
             byteable-0.1.1-3VfNJqauCum9lD10cS8nmH=d344f7951d5abb0484f8cf34bb5d3e34
             crypto-random-0.0.9-BSpM7y7ISpuFpciKyVdNkw=43479f37e4276c3fedae23c31ed5cde3
             crypto-pubkey-types-0.4.3-5xWPq7VeggTIeTMnPlZOnM=3935a9ec497eff4030df8d4f910903ec
             cryptohash-0.11.9-CbyZN7BRHMT5dI4lI46n03=ad17babc800f12bcb07195453c20bf46
             crypto-numbers-0.2.7-GObK7GDpik4agUDtS8Cur=0d75e46ff6ef9212fb3f21101df20f9f
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/sbin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

